classification
Title: venv activate.bat reset codepage fails on windows 10
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Felix Vollmer, LorenzMende, miss-islington, steve.dower
Priority: normal Keywords: patch

Created on 2018-07-18 08:18 by LorenzMende, last changed 2019-05-21 15:41 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8321 merged LorenzMende, 2018-07-18 08:22
PR 13465 merged miss-islington, 2019-05-21 15:23
Messages (3)
msg321868 - (view) Author: Lorenz Mende (LorenzMende) * Date: 2018-07-18 08:18
environment: Windows 10 Pro German/ 1803
cpython @master

When running the venv activate.bat the script fails to reset the codepage to the stored.

# Parameterformat falsch - 65001.

It seems that version 1803 brought a small change to the output of chcp.com - a dot is appended at the output

The issue can be solved by modifying the codepage grep of activate.bat:
for /f "tokens=2 delims=:." %%a in ('"%SystemRoot%\System32\chcp.com"') do (...

A pull will be requested.
msg339877 - (view) Author: miss-islington (miss-islington) Date: 2019-04-10 17:19
New changeset 6955d44b41058e3bcc59ff41860bd4cc8948c441 by Miss Islington (bot) (Lorenz Mende) in branch 'master':
bpo-34144: Fix of venv acvtivate.bat for win 10 (GH-8321)
https://github.com/python/cpython/commit/6955d44b41058e3bcc59ff41860bd4cc8948c441
msg343068 - (view) Author: miss-islington (miss-islington) Date: 2019-05-21 15:41
New changeset 3c9c2dc8dde709a5f27c74aff1614d6ed3456964 by Miss Islington (bot) in branch '3.7':
bpo-34144: Fix of venv acvtivate.bat for win 10 (GH-8321)
https://github.com/python/cpython/commit/3c9c2dc8dde709a5f27c74aff1614d6ed3456964
History
Date User Action Args
2019-05-21 15:41:48miss-islingtonsetmessages: + msg343068
2019-05-21 15:23:09miss-islingtonsetpull_requests: + pull_request13376
2019-05-03 19:02:01eryksunlinkissue35148 superseder
2019-04-12 11:03:29cheryl.sabellasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-10 17:19:25miss-islingtonsetnosy: + miss-islington
messages: + msg339877
2019-04-09 13:16:15cheryl.sabellasetnosy: + steve.dower
2018-07-19 13:29:52Felix Vollmersetnosy: + Felix Vollmer
2018-07-18 08:22:28LorenzMendesetkeywords: + patch
stage: patch review
pull_requests: + pull_request7857
2018-07-18 08:18:42LorenzMendecreate